%global momorel 9
%global __libtoolize :

Summary: Distributed SSL session cache
Name: distcache
Version: 1.4.5
Release: %{momorel}m%{?dist}
License: LGPL
Group: System Environment/Daemons
URL: http://www.distcache.org/
Source0: %{name}-%{version}.tar.bz2
Patch0: distcache-1.4.5-setuid.patch
Patch1: distcache-1.4.5-limits.patch
Source1: dc_server.init
Source2: dc_client.init
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
PreReq: chkconfig
BuildRequires: automake
BuildRequires: autoconf >= 2.50
BuildRequires: coreutils
BuildRequires: libtool
BuildRequires: openssl-devel >= 0.9.8a

%description
The distcache package provides a variety of functionality for
enabling a network-based session caching system, primarily for
(though not restricted to) SSL/TLS session caching.

%package devel
Group: Development/Libraries
Summary: Development tools for distcache distributed session cache
Requires: distcache = %{version}

%description devel
This package includes the libraries that implement the necessary
network functionality, the session caching protocol, and APIs for
applications wishing to use a distributed session cache, or indeed
even to implement a storage mechanism for a session cache server.

%prep
%setup -q
%patch0 -p1 -b .setuid
%patch1 -p1 -b .limits

# build fix
touch AUTHORS COPYING ChangeLog NEWS README
touch ssl/AUTHORS ssl/COPYING ssl/ChangeLog ssl/NEWS ssl/README
autoreconf -fi

%build
%configure --enable-shared
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
make -C ssl install DESTDIR=%{buildroot}

mkdir -p %{buildroot}%{_initscriptdir}
install -m 755 $RPM_SOURCE_DIR/dc_server.init \
        %{buildroot}%{_initscriptdir}/dc_server
install -m 755 $RPM_SOURCE_DIR/dc_client.init \
        %{buildroot}%{_initscriptdir}/dc_client

mkdir -p %{buildroot}%{_sbindir}

# Unpackaged files
rm -f %{buildroot}%{_bindir}/{nal_test,piper}

find %{buildroot} -name "*.la" -delete

%post
/sbin/chkconfig --add dc_server
/sbin/chkconfig --add dc_client
/sbin/ldconfig

%preun
if [ $1 = 0 ]; then
	/sbin/service dc_server stop > /dev/null 2>&1
	/sbin/service dc_client stop > /dev/null 2>&1
	/sbin/chkconfig --del dc_server
	/sbin/chkconfig --del dc_client
fi
/sbin/ldconfig

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_bindir}/sslswamp
%{_bindir}/dc_*
%{_initscriptdir}/dc_*
%doc ANNOUNCE CHANGES README LICENSE FAQ
%{_libdir}/*.so.*
%{_mandir}/man1/*
%{_mandir}/man8/*
%{_datadir}/swamp

%files devel
%defattr(-,root,root,-)
%{_includedir}/distcache
%{_includedir}/libnal
%{_libdir}/*.a
%{_libdir}/*.so
%{_mandir}/man2/*

%changelog
* Sat May 30 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.5-9m)
- fix build with new libtool

* Tue Apr 07 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.4.5-8m)
- rebuild against openssl-0.9.8k

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.4.5-7m)
- rebuild against rpm-4.6

* Wed Jun  4 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.4.5-6m)
- rebuild against opnssl-0.9.8h-1m

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.4.5-5m)
- rebuild against gcc43

* Sun Mar  2 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (1.4.5-4m)
- fix glibc-2.8

* Mon Feb 12 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.4.5-3m)
- delete libtool library

* Sun Apr  9 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (1.4.5-2m)
- rebuild against openssl-0.9.8a

* Sun Jul 18 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (1.4.5-1m)
- import from rawhide

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon May 17 2004 Joe Orton <jorton@redhat.com> 1.4.5-4
- run ldconfig in %%post and %%postun

* Sun May  2 2004 Joe Orton <jorton@redhat.com> 1.4.5-3
- add BuildRequires: openssl-devel (#122265)

* Tue Apr 13 2004 Joe Orton <jorton@redhat.com> 1.4.5-2
- dc_client: go setuid later (#120711)

* Tue Apr  6 2004 Joe Orton <jorton@redhat.com> 1.4.5-1
- update to 1.4.5 (#119135)
- include sslswamp
- build shared libraries

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Sat Feb 21 2004 Florian La Roche <Florian.LaRoche@redhat.de>
- mv /etc/init.d -> /etc/rc.d/init.d

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Sun Jan 25 2004 Joe Orton <jorton@redhat.com> 0.4.2-9
- add BuildRequires (#114115)
- add config lines to init scripts

* Tue Jan 20 2004 Joe Orton <jorton@redhat.com> 0.4.2-8
- rebuild

* Fri Nov 28 2003 Joe Orton <jorton@redhat.com> 0.4.2-7
- sync with upstream: use -sock{owner,perms} in dc_client

* Wed Nov 26 2003 Joe Orton <jorton@redhat.com> 0.4.2-6
- set socket owner and permissions in dc_client

* Wed Nov 26 2003 Joe Orton <jorton@redhat.com> 0.4.2-5
- rebuild in new environment

* Tue Nov 18 2003 Joe Orton <jorton@redhat.com> 0.4.2-4
- fix %%preun to allow --erase to succeed (#110115)

* Thu Jul 31 2003 Joe Orton <jorton@redhat.com> 0.4.2-3
- add dc_client init script
- pass -sessions to dc_server

* Wed Jul  2 2003 Joe Orton <jorton@redhat.com> 0.4.2-2
- have dc_server drop to 'nobody' user after bind()
- add init script for dc_server
- build everything using -fPIC

* Mon Jun  9 2003 Joe Orton <jorton@redhat.com> 0.4.2-1
- Initial build.

